# mastofeeds
Newsfeed Bot for Mastodon

Publish to Mastodon's server the rss feed of your choice.

### Dependencies

-   **Python 3**
-   Postgresql server
-   Everything else at the top of `mastofeed.py`!

### Usage:

Within Python Virtual Environment:

1. Run 'db-setup.py' to create needed database and table. It's needed to control what feeds are already published.

2. Run 'setup.py' to get your bot's access token of an existing user. It will be saved to 'secrets/secrets.txt' for further use.

3. Run 'mastofeed.py' to start publishing feeds. 

Note: install all needed packages with 'pip install package' or use 'pip install -r requirements.txt' to install them. 


